Summary:	High productivity build system
Summary(pl.UTF-8):	System budowania o dużej produktywności
Name:		meson
Version:	1.8.1
Release:	1
License:	Apache v2.0
Group:		Development/Tools
#Source0Download: https://github.com/mesonbuild/meson/releases/
Source0:	https://github.com/mesonbuild/meson/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	5cfd7e2b2246d874746d68ffd43a0774
Patch0:		%{name}-gtkdocdir.patch
Patch1:		rust-proc-macro-filter-out-target.patch
Patch2:		allow-arm-on-arm64.patch
Patch3:		rpm-macros-pld.patch
URL:		https://mesonbuild.com/
BuildRequires:	ninja >= 1.8.2
BuildRequires:	python3 >= 1:3.7
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
Requires:	python3-devel-tools >= 1:3.7
Requires:	python3-libs >= 1:3.7
Requires:	python3-modules >= 1:3.7
Conflicts:	ninja < 1.8.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Meson is a build system designed to optimize programmer productivity.
It aims to do this by providing simple, out-of-the-box support for
modern software development tools and practices, such as unit tests,
coverage reports, Valgrind, CCache and the like.

%description -l pl.UTF-8
Meson to system budowania zaprojektowany z myślą o optymalizacji
produktywności programisty. Celem jest dostarczenie prostej, od razu
działającej obsługi nowoczesnych narzędzi i praktyk programistycznych,
takich jak testy jednostkowe, raporty pokrycia, Valgrind, CCache itp.

%package polkit
Summary:	PolKit integration - handle projects installation via Meson
Summary(pl.UTF-8):	Integracja z PolKitem - obsługa instalowania projektów przy użyciu Mesona
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	polkit

%description polkit
PolKit integration - handle projects installation via Meson.

%description polkit -l pl.UTF-8
Integracja z PolKitem - obsługa instalowania projektów przy użyciu
Mesona.

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1 -R
%patch -P3 -p1

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' \
	meson.py

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_rpmmacrodir}

cp -p data/macros.meson $RPM_BUILD_ROOT%{_rpmmacrodir}

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/meson
%{_mandir}/man1/meson.1*
%{py3_sitescriptdir}/meson-%{version}-py*.egg-info
%{py3_sitescriptdir}/mesonbuild
%{_rpmmacrodir}/macros.meson

%files polkit
%defattr(644,root,root,755)
%{_datadir}/polkit-1/actions/com.mesonbuild.install.policy
%changelog
* Thu Jun 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/meson.git;a=log;h=master

* Sun May 25 2025 Jakub Bogusz <qboosh@pld-linux.org> c89e574
- updated to 1.8.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 3657e5e
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 4d8d7aa
- python 3.13 rebuild

* Thu Feb 06 2025 Jan Palus <atler@pld-linux.org> 7d8a245
- go back to --auto-features=auto by default; rel 4

* Mon Feb 03 2025 Jan Rękorajski <baggins@pld-linux.org> ae24379
- pld-ize rpm macros, rel 3

* Mon Feb 03 2025 Jan Rękorajski <baggins@pld-linux.org> 181b4a4
- install rpm macros for meson prep/build/install, rel 2

* Sun Jan 12 2025 Jakub Bogusz <qboosh@pld-linux.org> e87f98e
- updated to 1.6.1

* Thu Oct 31 2024 Jakub Bogusz <qboosh@pld-linux.org> 5d4f46f
- added fix for gir/gtkdoc regression fix from git PR; release 2

* Tue Oct 22 2024 Jakub Bogusz <qboosh@pld-linux.org> e58e09f
- updated to 1.6.0

* Sat Sep 21 2024 Jan Palus <atler@pld-linux.org> b03b856
- up to 1.5.2

* Wed Aug 07 2024 Jan Palus <atler@pld-linux.org> 5eea46a
- revert the revert and allow running arm32 on aarch64 again; rel 2

* Sat Jul 27 2024 Jan Palus <atler@pld-linux.org> 21beffb
- up to 1.5.1

* Thu Jul 25 2024 Jan Palus <atler@pld-linux.org> 7f0156b
- up to 1.5.0

* Wed Feb 14 2024 Jan Palus <atler@pld-linux.org> 5015e1e
- up to 1.3.2

* Thu Feb 01 2024 Jan Palus <atler@pld-linux.org> 9ebcba0
- filter out rustc target based on machine type with meson >= 1.3.1; rel 2

* Tue Dec 26 2023 Jan Palus <atler@pld-linux.org> 98c32a0
- up to 1.3.1

* Thu Nov 30 2023 Jan Palus <atler@pld-linux.org> 765cb4e
- up to 1.3.0

* Fri Oct 20 2023 Jan Palus <atler@pld-linux.org> 9e7b650
- up to 1.2.3

* Wed Oct 11 2023 Jan Palus <atler@pld-linux.org> f2046c6
- add patch to filter out --target for rust proc-macro crate

* Fri Oct 06 2023 Jan Palus <atler@pld-linux.org> 72060c1
- up to 1.2.2

